<template>
  <section id="mxv-features" class="container column relative-position">
    <SectionHeader :title="features.title"/>

    <div class="row">
      <q-card v-for="feature in features.list" :key="feature.title" flat bordered class="col-12 col-sm-6 col-md-4 q-py-sm">
        <q-card-section class="flex items-center">
          <q-icon
            color="brown"
            size="md"
            :name="feature.icon"
            class="feature-icon q-mr-sm"
          />
          <div class="text-h6 text-center text-brown text-weight-regular">{{ feature.title }}</div>
        </q-card-section>

        <q-card-section class="q-pt-none">
          {{ feature.text }}
        </q-card-section>
      </q-card>
    </div>

    <DownArrowSection :hash="'mxv-resources'" :color="'brown'" />
  </section>
</template>

<script>
  import DATA from '@/i18n/ca-es/homePage'
  import SectionHeader from '@/components/SectionHeader'
  import DownArrowSection from '@/components/DownArrowSection'

  export default {
    name: "FeaturesSection",
    components: {
      SectionHeader,
      DownArrowSection
    },
    computed: {
      features() {
        return DATA.features
      }
    }
  }
</script>

<style scoped lang="stylus">
.feature-icon
  font-size: 20px

</style>
